## org.apache.lucene.index
Class TermVectorEntryFreqSortedComparator

    java.lang.Object
      org.apache.lucene.index.TermVectorEntryFreqSortedComparator

All Implemented Interfaces:
  java.util.Comparator

    public class TermVectorEntryFreqSortedComparator

extends java.lang.Object
implements java.util.Comparator

Compares `TermVectorEntry`s first by frequency and then by the term (case-sensitive)

Constructor Summary
`TermVectorEntryFreqSortedComparator()`

Method Summary
`int` `compare(java.lang.Object object, java.lang.Object object1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### TermVectorEntryFreqSortedComparator

    public TermVectorEntryFreqSortedComparator()

Method Detail

### compare

    public int compare(java.lang.Object object,
                       java.lang.Object object1)

  Specified by:
    `compare` in interface `java.util.Comparator`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.